Subject: Re: [patch net-next-2.6] net: reinject arps into bonding slave instead of master

From: Nicolas de Pesloüan<[email-masked]>
Date: Mon, 07 Mar 2011 21:12:48 +0100

Le 07/03/2011 15:32, Andy Gospodarek a écrit :
> On Mon, Mar 07, 2011 at 01:51:00PM +0100, Jiri Pirko wrote:
>> Recent patch "bonding: move processing of recv handlers into
>> handle_frame()" caused a regression on following net scheme:
>>
>> eth0 - bond0 - bond0.5
>>
>> where arp monitoring is happening over vlan. This patch fixes it by
>> reinjecting the arp packet into bonding slave device so the bonding
>> rx_handler can pickup and process it.
>>
>> Signed-off-by: Jiri Pirko<[email-masked]>

Reviewed-by: Nicolas de Pesloüan <[email-masked]>

> Thanks, Jiri.  I will test and make sure it works correctly now.  I know
> several users who would be quite disappointed if this feature was
> removed.

Andy, while you are testing it, can you ensure it also works for the following setup?

eth0 -> bond0 -> br0 -> br0.100

I think it should, as long as the slave is the first device in the path.

Can you imagine a bonding setup where the slaves are not first in the path?

eth0 -> br0 -> bond0?
eth0 -> eth1(macvlan) -> bond0?
eth0 -> eth0.100 -> bond0?

	Nicolas.